{% extends "dialog.html" %}
{% load seawatch_registration_tags applications_tags %}
{% block dialog_attrs %}hx-swap-oob="true"{% endblock %}
{% block modal_id %}planner-modal-accept-application{% endblock %}
{% block header %}Accept Application?{% endblock %}
{% block content %}
  <form method="post"
        id="acceptApplicationForm"
        action='{% url "application_accept" volunteer_id=volunteer.id %}'>
    {% csrf_token %}
    {{ block.super }}
  </form>
{% endblock %}
{% block body %}
  This will create a volunteer profile based on this application.
  <br>
  {{ accept_form }}
{% endblock %}
{% block buttons %}
  <button value="accept" class="button button-primary">
    Create profile as {{ volunteer|positions_with_open_application_and_decision_accept|attr:"name"|method:"lower"|join_comma_and }}
  </button>
{% endblock %}
